Package org.pushingpixels.substance.internal.painter

# Class HighlightPainterUtils

java.lang.Object
org.pushingpixels.substance.internal.painter.HighlightPainterUtils

public class HighlightPainterUtils extends Object
Contains utility methods related to highlight painters. This class is for internal use only.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final LazyResettableHashMap<BufferedImage>`
`smallCache`
Cache for small objects.

## Constructor Summary

Constructors
Constructor
Description
`HighlightPainterUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getMemoryUsage()`
Returns the memory usage string.
`static void`
`paintHighlight(Graphics g, CellRendererPane rendererPane, Component c, Rectangle rect, float borderAlpha, Set<SubstanceConstants.Side> openSides, SubstanceColorScheme fillScheme, SubstanceColorScheme borderScheme)`
Paints the highlight for the specified component.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### smallCache

protected static final LazyResettableHashMap<BufferedImage> smallCache
Cache for small objects.

## Constructor Details

### HighlightPainterUtils

public HighlightPainterUtils()

## Method Details

### paintHighlight

public static void paintHighlight(Graphics g, CellRendererPane rendererPane, Component c, Rectangle rect, float borderAlpha, Set<SubstanceConstants.Side> openSides, SubstanceColorScheme fillScheme, SubstanceColorScheme borderScheme)
Paints the highlight for the specified component.

Parameters:
  `g` - Graphic context.
  `rendererPane` - Renderer pane. Can be `null`.
  `c` - Component.
  `rect` - Rectangle to highlight.
  `borderAlpha` - Border alpha.
  `openSides` - The sides specified in this set will not be painted. Can be `null` or empty.
  `fillScheme` - The fill color scheme.
  `borderScheme` - The border color scheme.

### getMemoryUsage

public static String getMemoryUsage()
Returns the memory usage string.

Returns:
  Memory usage string.